Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.model.portal.command.mapping
Class DashboardPortalObjectPathMapper

    java.lang.Object
      org.jboss.portal.core.model.portal.command.mapping.DashboardPortalObjectPathMapper

All Implemented Interfaces:
  PortalObjectPathMapper

    public class DashboardPortalObjectPathMapper

extends java.lang.Object
implements PortalObjectPathMapper

Version:
  $Revision: 8811 $
Author:
  Julien Viet

Field Summary
`protected PortalObjectContainer` | `container` .
`protected CustomizationManager` | `customizationManager` .
`protected PathParser` | `pathParser` .

Constructor Summary
`DashboardPortalObjectPathMapper()`

Method Summary
`void` | `appendPath(java.lang.StringBuffer buffer, PortalObjectId id)`
`PortalObjectContainer` | `getContainer()`
`CustomizationManager` | `getCustomizationManager()`
`PortalObject` | `getTarget(ControllerContext controllerContext, java.lang.String path)`
`void` | `setContainer(PortalObjectContainer container)`
`void` | `setCustomizationManager(CustomizationManager customizationManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### container

    protected PortalObjectContainer container

  .

### customizationManager

    protected CustomizationManager customizationManager

  .

### pathParser

    protected PathParser pathParser

  .

Constructor Detail

### DashboardPortalObjectPathMapper

    public DashboardPortalObjectPathMapper()

Method Detail

### getCustomizationManager

    public CustomizationManager getCustomizationManager()

### setCustomizationManager

    public void setCustomizationManager(CustomizationManager customizationManager)

### getContainer

    public PortalObjectContainer getContainer()

### setContainer

    public void setContainer(PortalObjectContainer container)

### getTarget

    public PortalObject getTarget(ControllerContext controllerContext,
                                  java.lang.String path)

  Specified by:
    `getTarget` in interface `PortalObjectPathMapper`

### appendPath

    public void appendPath(java.lang.StringBuffer buffer,
                           PortalObjectId id)

  Specified by:
    `appendPath` in interface `PortalObjectPathMapper`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD